Users

The user of the cluster. Access is managed by certificates. The certificates are retrieved by the access endpoint. This tag groups all operations for users.

Retrieve all Users

get
/clusters/{clusterId}/users

This endpoint enables retrieving all Users using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the Cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
Responses
get
/clusters/{clusterId}/users

Retrieve Apache Kafka User with Credentials

get
/clusters/{clusterId}/users/{userId}/access

Returns the user by ID containing its access certificates in the metadata.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
clusterIdstring · uuidRequired

The ID (UUID) of the cluster.

Example: e69b22a5-8fee-56b1-b6fb-4a07e4205ead
userIdstring · uuidRequired

The ID (UUID) of the user.

Example: d11db12c-2625-5664-afd4-a3599731b5af
Responses
get
/clusters/{clusterId}/users/{userId}/access

Last updated

Was this helpful?